<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="../lib/date_format.xslt"/>

<xsl:param name="numGenDate"/>
<xsl:param name="max_char_count" select="200"/>
<xsl:param name="remove_previous" select="'true'"/>

	<xsl:template match="articles">
		<div>
			<xsl:apply-templates>
				<xsl:sort select="@date" order="descending"/>
			</xsl:apply-templates>
		</div>
	</xsl:template>
	
	<xsl:template match="article">
		<xsl:if test="(@date + 1 &gt; $numGenDate) or ($remove_previous = 'false') or (string-length(@date) = 0)">
			<b><xsl:value-of select="@title"/></b>
			<xsl:if test="string-length(@date) &gt; 0">
				<i>
		 			<xsl:call-template name="date_format">
		 				<xsl:with-param name="date_string" select="@date"/>
		 			</xsl:call-template>
		 		</i>
	 		</xsl:if>
			<xsl:value-of select="substring(., 0, $max_char_count)"/><xsl:if test="string-length() &gt; $max_char_count">...</xsl:if>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>